import zh_CN from '@/locales/zh-CN';
import en_US from '@/locales/en-US';
import { lnk_lang } from './cookie_helper';

export const intl_get = ({ id }: { id: string }): any => {
  if (lnk_lang) {
    switch (lnk_lang) {
      case "en-US":
        return en_US[id];
      case "zh-CN":
      default:
        return zh_CN[id];
    }
  } else {
    return zh_CN[id];
  }
}
