import React from 'react';
import styles from './index.less';
import classNames from 'classnames';
import { game_container_id } from '@/utils/game_setting/game_config';

const BasicLayout: React.FC = props => {
  return (
    <div id={game_container_id} className={classNames(styles.game_content, styles['override-ant-modal'])}>
      {props.children}
    </div>
  );
};

export default BasicLayout;
